Bug 173033 - Improvements to the doxygen Packages in Fedora Core
Improvements to the doxygen Packages in Fedora Core
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
http://www.planetsaphire.com/rpms/dox...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 14:14 EST by Kevin McBride
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 08:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 317773 None None None Never

  None (edit)
Description Kevin McBride 2005-11-12 14:14:49 EST
Spec Name or Url: doxygen.spec
SRPM Name or Url: http://www.planetsaphire.com/rpms/doxygen/SOURCES/1.4.5/1.4.5-4/
Description: This is an improved version of the doxygen RPMs where the doxywizard is now a seperate package from the main doxygen package, so that those who wish to install doxygen from rpm without the X window system can do so.  In addition, there are now pdf's that can be found in the new doxygen-manual package.  The new .spec files have been approved by Dimitri van Heesch, main author of doxygen.

If you wish to view the related bug report, the report is located at:
http://bugzilla.gnome.org/show_bug.cgi?id=317773
Comment 1 José Matos 2005-11-12 14:32:55 EST
doxygen is in Fedora Core, you should propose those enhancements to  
the doxygen Core maintainer.  
  
> list doxygen*  
Available Packages  
doxygen.i386                             1:1.4.4-0.fc4.1      updates-released  
doxygen-debuginfo.i386                   1:1.4.4-0.fc4.1      updates-released  
doxygen-doxywizard.i386                  1:1.4.4-0.fc4.1      updates-released  
  
  
  
Comment 2 Kevin McBride 2005-11-12 15:49:51 EST
I have e-mailed than@redhat.com, the last known maintainer of doxygen Core,
about the enhancements.  I could not find out if that has changed over the
years, despite an exhaustive search.
Comment 3 Kevin McBride 2005-11-12 16:00:55 EST
This is all I get after obtaining the info of the latest doxygen package.  It
does not tell me the exact person that is responsible for maintaining "doxygen
Core".  I hope Than is the correct person.

[root@planetsaphire doxygen]# rpm -q --info doxygen
Name        : doxygen                      Relocations: /usr
Version     : 1.4.5                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Sat 15 Oct 2005 11:50:56
AM EDT
Install Date: Sat 12 Nov 2005 04:01:01 PM EST      Build Host:
hs20-bc1-5.build.redhat.com
Group       : Development/Tools             Source RPM: doxygen-1.4.5-1.src.rpm
Size        : 7178018                          License: GPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.stack.nl/~dimitri/doxygen/index.html
Summary     : A documentation system for C/C++.
Description :
Doxygen can generate an online class browser (in HTML) and/or a
reference manual (in LaTeX) from a set of documented source files. The
documentation is extracted directly from the sources. Doxygen can
also be configured to extract the code structure from undocumented
source files.
Comment 4 Rex Dieter 2005-11-12 22:17:06 EST
Just file a bugzilla report (enhancement) against doxygen.  It'll get to the
right person.
Comment 5 Kevin McBride 2005-11-13 00:36:59 EST
(In reply to comment #4)
> Just file a bugzilla report (enhancement) against doxygen.  It'll get to the
> right person.

I tried looking for doxygen in the products list, and I didn't see it on the
list.  I didn't
Comment 6 Kevin McBride 2005-11-13 00:38:34 EST
never mind, I found out that "doxygen" was in a different product (Fedora Core,
not Fedora Extras)
Comment 7 Kevin McBride 2005-11-27 19:21:07 EST
Dimitri has accepted my spec file improvements, and a test of the committed
changes from 1.4.5-20051127 shows that the changes work.  My changes are now
ready for QA by RedHat for inclusion to future Fedora Core and RedHat products.
Comment 8 Stefan Hoelldampf 2005-12-31 02:45:02 EST
FYI, doxygen-1.4.6 has been released.
Comment 9 Kevin McBride 2005-12-31 03:43:03 EST
The .spec files and the `make rpm' command I made seem to be working great on 1.4.6.

Note You need to log in before you can comment on or make changes to this bug.